Skip to main content

Create an OATH credential

POST 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/oath-credentials

Since: 2.71.0

Required permission(s): AccessControl.CredentialCreate,AccessControl.CredentialView,AccessControl.PolicyConfigurationView or SelfAdmin Role

Creates a new OATH credential for the specified user.

A label is required and will be embedded in the otpauth:// QR code URI returned in the response. The URI can be scanned by a mobile authenticator app (e.g. Google Authenticator, Microsoft Authenticator) to initialize the credential.

If a policy is specified, it must be of type OathPolicy. If omitted, the default OATH policy configured for the client is used. The policy determines the hashing algorithm, digit count, time period, and other OTP parameters.

The OATH secret is generated automatically by the server. If the policy is configured to prevent re-sharing the secret, the QR code URI is only available in the response of this creation endpoint. Subsequent GET requests will not include the URI.

In self-admin mode, a valid JWT token must be provided in the X-Token request header.

Request

Responses

OATH credential created successfully